/***********************************************************************
 *
 *	Copyright  Palm Computing 1995 -- All Rights Reserved
 *
 * PROJECT:  Memo Pad Sample Application
 * FILE:     MemoPadRsc.h (Phase 15)
 *
 * DESCRIPTION:
 *		Defined constants of the UI resources.
 *
 **********************************************************************/
 
#define	mainForm					1000		// main form of the application
#define	mainNewButton			1003		// new button of the main form
#define	mainEditButton			1004		// P5. new button of the main form
#define	mainTable				1005		// P12. record table of the main form
#define	mainCategoryTrigger	1007		// P11. activate the category list
#define	mainCategoryList		1008		// P11. the category list
#define	mainScrollUpButton	1009		// P13. scroll up button
#define	mainScrollDownButton	1010		// P13. scroll down button
#define	mainToggleButton		1011		// P13. scroll down button
#define	mainCalcButton	1021		// P13. scroll down button
#define	mainFormatButton	1022		// P13. scroll down button
#define	mainReplicateButton	1023		// P13. scroll down button
#define	mainDollarButton	1026		// P13. scroll down button
#define	mainPrefsButton	1027		// P13. scroll down button
#define	mainClearedButton	1028		// P13. scroll down button
#define	mainWarnPict	1030		// P13. scroll down button

#define	infoForm					1100		// P2. info form 

#define	editForm					1200		// P3. edit form
#define	editDoneButton			1202		// P3. done button of the edit form
#define	editField				1203		// P4. text field
#define	checkField				1214		// P4. text field
#define	amountField				1218		// P4. text field
#define	editDetailsButton		1205		// P10. details button of the edit form
#define	editRepeatList	1232		// P11. activate the category list
#define	editCategoryTrigger	1207		// P11. activate the category list
#define	editCategory2Trigger	1242		// P11. activate the category list
#define	repeatTrigger	1231		// P11. activate the category list
#define	drcrTrigger	1236		// P11. activate the category list
#define	drcrList	1237		// P11. activate the category list
#define	editCategoryList		1208		// P11. the category list
#define	editTransferButton		1242		// P11. the category list
#define	editSmallFontButton	1211		// P16. small font button
#define	editLargeFontButton	1212		// P17. large font button
#define	editDebitCheckbox		1220		// P17. large font button
#define	editClearedButton 1225		// P17. large font button
#define	editClearedCheck 1238		// P17. large font button
#define	totalField 				1228		// P17. large font button
#define	editFontGroup			1
#define 	editTimeList	1239
#define 	editTimeButton	1240
#define 	editNoteButton	1248
#define 	editReceiptCheckbox	1243
#define  editPrivateChkbx 1244
#define	editTypeList		1247
#define typeTrigger			1245
#define  editDescTrigger	1251
#define  editDescList		1249
#define  editQIFChkbx		1252

#define	editDeleteAlert		1210		// P9. delete memo alert
#define	mainBalanceAlert		1099		// P9. delete memo alert
#define	editDeleteOK			0			// P9. delete memo alert OK button index
#define	detailsForm				1300		// P10. details form
#define	detailsOkButton		1302		// P10. OK button of the details form
#define	detailsCancelButton	1303		// P10. cancel button of the details form
#define	detailsDeleteButton	1304		// P10. delete button of the details form
#define	detailsPrivateChkbx	1306		// P10. private checkbox of the details form
#define	detailsCategoryTrigger	1311	// P11. category list trigger of the details form
#define	detailsCategoryList	1312		// P11. category list of the details form



#define	settingsForm						1400		// P10. details form
#define	settingsDoneButton				1402		// P10. details form
#define	settingsDoneButton				1402		// P10. details form
#define	settingsCheckTrigger				1407		// P10. details form
#define	settingsAmountTrigger			1417		// P10. details form
#define	settingsReplField					1420		// P10. details form
#define	settingsCheckList					1405		// P10. details form
#define	settingsAmountList				1415		// P10. details form
#define	settingsAutoBox					1421		// P10. details form
#define	settingsLockBox					1422		// P10. details form
#define	settingsTotalBox					1425		// P10. details form
#define	settingsShowCalcBox					1427		// P10. details form
#define	settingsCurrencyField					1423		// P10. details form

#define  reportForm							1500
#define  reportDoneButton					1505
#define  reportGenerateButton				1510
#define  reportTypeList						1508
#define  reportTypeTrigger					1507
#define  reportOutputList					1512


#define	noteForm					1600		// P3. edit form
#define	noteDoneButton			1602		// P3. done button of the edit form
#define	noteAllDoneButton			1605		// P3. done button of the edit form
#define	noteField				1603		// P4. text field

#define	listForm					1700		// P3. edit form
#define	listDoneButton			1702		// P3. done button of the edit form
#define	listField				1704		// P4. text field


#define	mainMenu					1050		// P2. menu bar for main form
#define	editMenu					1250		// P4. menu bar for edit form
#define	selectDateButton				1216		// P4. menu bar for edit form

#define	getInfoCmd				100		// P2. get info command on options menu
#define	goToTopCmd				101		// P4. top of text command on options menu
#define	goToBottomCmd			102		// P4. bottom of text command on options menu
#define	cutCmd					200		// P4. cut text command on edit menu
#define	copyCmd					201		// P4. copy text command on edit menu
#define	pasteCmd					202		// P4. paste text command on edit menu
#define	undoCmd					203		// P4. undo text change command on edit menu
#define	selectAllCmd			204		// P4. select all text command on edit menu
#define	editSeparator			205		// P4. separator line on edit menu
#define	keyboardCmd				206		// P4. display keyboard command on edit menu
#define	newPageCmd				300		// P9. new memo page on page menu
#define	deletePageCmd			301		// P9. delete memo page on page menu
#define	duplicatePageCmd			302		// P9. delete memo page on page menu


// These are strings used by the application.  All text strings that the app uses should 
// be kept in resources so that the strings can be easily changed when localizing the 
// software for other languages.
#define findMoneyHeaderStr	100
#define editTitleString			1000