/***********************************************************************
 *
 *	Copyright  Palm Computing 1996 -- All Rights Reserved
 *
 * PROJECT:  Memo Pad Sample Application
 *
 * FILE:     MemoPadRsc.c (Phase 19)
 *
 * DESCRIPTION: The list of application resources for the application.
 *
 **********************************************************************/

#include <Pilot.h>

#if 		LANGUAGE == LANGUAGE_ENGLISH
#define RESOURCE_FILE_PREFIX ""

#elif 	LANGUAGE == LANGUAGE_FRENCH
#define RESOURCE_FILE_PREFIX "French:"

#elif 	LANGUAGE == LANGUAGE_GERMAN
#define RESOURCE_FILE_PREFIX "German:"
#endif

// Application resources. 
char *AppResourceList[] = {
	":Rsc:" RESOURCE_FILE_PREFIX "MoneyDetails.rsrc", 				// P10. details form
	":Rsc:" RESOURCE_FILE_PREFIX "MoneyEdit.rsrc", 					// P3. edit form
	":Rsc:" RESOURCE_FILE_PREFIX "MoneyInfo.rsrc", 					// P2. info form
	":Rsc:" RESOURCE_FILE_PREFIX "MoneyReport.rsrc", 					// P2. info form
	":Rsc:" RESOURCE_FILE_PREFIX "MoneyMain.rsrc", 					// main form
	":Rsc:" RESOURCE_FILE_PREFIX "MoneySettings.rsrc", 					// main form
	":Rsc:" RESOURCE_FILE_PREFIX "MoneyNote.rsrc", 					// main form
	":Rsc:" RESOURCE_FILE_PREFIX "MoneyLists.rsrc", 					// main form
	"" 
};

